## fonts-selawik 1.01~chris3

=== debian/supplemental/Makefile ===
#!/usr/bin/make -f

NAME=selawik
COOLNAME=Selawik
FONTS=Bold Light Regular
WHERE=${DESTDIR}/usr/share/fonts
SRCDIR=Source\ files/Glyphs
BLDDIR=build

default: all
all: otf ttf webfonts
.NOTPARALLEL: all otf ttf webfonts clean install $(BLDDIR)/%.otf $(BLDDIR)/%.ttf $(BLDDIR)/%.woff2
OTF=$(FONTS:%=$(BLDDIR)/$(COOLNAME)-%.otf)
TTF=$(FONTS:%=$(BLDDIR)/$(COOLNAME)-%.ttf)
WOFF2=$(FONTS:%=$(BLDDIR)/$(COOLNAME)-%.woff2)

$(BLDDIR)/%.otf: $(SRCDIR)/${NAME}.glyphs
	@echo "  BUILD    $@"
	@mkdir -p build
	@fontmake --verbose=WARNING -o otf --output-dir=${BLDDIR} -g "$<"
	@ttembed -n ${BLDDIR}/*otf || echo -n
	ttembed ${BLDDIR}/*otf || echo -n

$(BLDDIR)/%.ttf: $(SRCDIR)/${NAME}.glyphs
	@echo "  BUILD    $@"
	@mkdir -p build
	@fontmake --verbose=WARNING -o ttf --output-dir=${BLDDIR} -g "$<"
	@ttembed -n ${BLDDIR}/*otf || echo -n
	ttembed ${BLDDIR}/*ttf || echo -n

$(BLDDIR)/%.woff2: $(BLDDIR)/%.otf
	@echo "WEBFONT    $@"
	@fonttools ttLib.woff2 compress  "$<"

ttf: $(TTF)
otf: $(OTF)
webfonts: $(WOFF2)

install: ttf otf webfonts
	mkdir -p ${WHERE}/opentype/${NAME} ${WHERE}/truetype/${NAME} ${WHERE}/woff/${NAME}
	install -D -m 0644 $(BLDDIR)/*.otf ${WHERE}/opentype/${NAME}
	install -D -m 0644 $(BLDDIR)/*.ttf ${WHERE}/truetype/${NAME}
	install -D -m 0644 $(BLDDIR)/*.woff2 ${WHERE}/woff/${NAME}

clean:
	rm -rf $(BLDDIR) instance_ufo master_ufo Makefile

=== debian/changelog ===
fonts-selawik (1.01~chris3) groovy; urgency=medium

  * update ttembed dep 

 -- Chris <dpkg@chris-nz.com>  Sat, 01 May 2021 17:55:46 +1200

fonts-selawik (1.01~chris2) groovy; urgency=medium

  * Upload with good paths and optional dependency

 -- Chris <dpkg@chris-nz.com>  Sat, 01 May 2021 17:42:32 +1200

fonts-selawik (1.01~chris1) groovy; urgency=medium

  * Rebuild because .... forgot to include fonts!

 -- Chris <dpkg@chris-nz.com>  Sat, 01 May 2021 04:51:06 +1200

fonts-selawik (1.01) groovy; urgency=medium

  * Initial release.

 -- Chris <dpkg@chris-nz.com>  Sat, 01 May 2021 03:22:59 +1200

=== debian/control ===
Source: fonts-selawik
Section: fonts
Priority: optional
Maintainer: Chris <dpkg@chris-nz.com>
# they're working on optional deps right now - i hope we get that. ttembed is not strictly necessary
Build-Depends: debhelper-compat (= 13), fontmake, fonttools, ttembed
Standards-Version: 4.5.0
#Vcs-Git:
#Vcs-Browser:
Homepage: https://github.com/microsoft/Selawik
Rules-Requires-Root: no

Package: fonts-selawik
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Selawik font
 Selawik is a sans-serif font face designed by Microsoft for office
 use. It is a free replacement for the SegoeUI font by Agfa
 Monotype Corporation, for use in Windows and Office.

=== debian/rules ===
#!/usr/bin/make -f

# PACKAGE FORMAT IS ""NATIVE"" TO TRICK MY CI

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

execute_before_dh_auto_build:
	cp debian/supplemental/Makefile Makefile
